Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SortProperty

    java.lang.Object
      |
      +--com.compoze.collab.SortProperty

All Implemented Interfaces:
  java.io.Serializable

public class SortProperty
extends java.lang.Object
implements java.io.Serializable

Represents a property to sort on and the order (ascending/descending)

See Also:
  Serialized Form

Constructor Summary
`SortProperty(Key key, SortOrder order)` Constructs a SortProperty.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Key` | `getKey()` Get the sort property key
`SortOrder` | `getSortOrder()` Gets the current sort order.
`int` | `hashCode()`
`boolean` | `isAscending()` Determine if the sort order is ascending.
`java.lang.String` | `toString()` Gets a string representation of the sort field.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortProperty

    public SortProperty(Key key,
                        SortOrder order)

  Constructs a SortProperty.
  Parameters:
    `key` - the property key to sort on (not `null`)
    `order` - the sort order (not `null`)

Method Detail

### getKey

    public Key getKey()

  Get the sort property key
  Returns:
    the property key to sort on (not `null`)

### isAscending

    public boolean isAscending()

  Determine if the sort order is ascending.
  Returns:
    `true` if the sort is ascending, `false` if it is descending

### getSortOrder

    public SortOrder getSortOrder()

  Gets the current sort order.
  Returns:
    the sort order (not `null`)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Gets a string representation of the sort field.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.